Package org.apache.sysds.runtime.ooc.cache.collections

# Class MaskedOnceArrayList<T>

java.lang.Object
org.apache.sysds.runtime.ooc.cache.collections.MaskedOnceArrayList<T>

public class MaskedOnceArrayList<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`MaskedOnceArrayList()`
`MaskedOnceArrayList(int partitionSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`capacity()`
`boolean`
`clear(int i)`
`void`
`clearLive(int i)`
`void`
`forEachLive(IndexedObjectPredicate<? super T> action, boolean reversed)`
`void`
`forEachVisible(Consumer<? super T> action)`
`T`
`get(int i)`
`boolean`
`put(int i, T value)`
`void`
`setLive(int i)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaskedOnceArrayList

public MaskedOnceArrayList()

### MaskedOnceArrayList

public MaskedOnceArrayList(int partitionSize)

## Method Details

### put

public boolean put(int i, T value)

### clear

public boolean clear(int i)

### get

public T get(int i)

### setLive

public void setLive(int i)

### clearLive

public void clearLive(int i)

### capacity

public int capacity()

### forEachLive

public void forEachLive(IndexedObjectPredicate<? super T> action, boolean reversed)

### forEachVisible

public void forEachVisible(Consumer<? super T> action)